# Created by pyp2rpm-3.3.3
%global pypi_name testfixtures

%bcond_with tests
%bcond_without docs

Name:           python-%{pypi_name}
Version:        6.16.0
Release:        %mkrel 1
Summary:        A collection of helpers and mock objects for unit tests and doc tests
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/testfixtures/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-git)
BuildRequires:  python3dist(twine)
BuildRequires:  python3dist(wheel)
# tests
%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-django)
%endif
# docs
%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif
# optional (for tests and docs)
%if %{with tests} || %{with docs}
BuildRequires:  python3dist(zope.component)
BuildRequires:  python3dist(django)
BuildRequires:  python3dist(sybil)
BuildRequires:  python3dist(twisted)
%endif

%description
A collection of helpers and mock objects that are useful when writing automated tests in
Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A collection of helpers and mock objects that are useful when writing automated tests in
Python.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%if %{with docs}
%doc html
%endif
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Dec 13 2020 guillomovitch <guillomovitch> 6.16.0-1.mga8
+ Revision: 1656372
- new version 6.16.0

* Sun Nov 08 2020 guillomovitch <guillomovitch> 6.15.0-1.mga8
+ Revision: 1643763
- new version 6.15.0

* Sun Mar 29 2020 wally <wally> 6.14.0-1.mga8
+ Revision: 1562075
- imported package python-testfixtures

